package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaWdkMarketingItempoolCreateactivityItemPoolActivity `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolCreateactivityRequest) SetParam(v domain.AlibabaWdkMarketingItempoolCreateactivityItemPoolActivity) *AlibabaWdkMarketingItempoolCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
